@echo off

set currentpath=%cd%
cd %~dp0
echo Installing All CHT Drivers for T3 hardware

echo %cd%
cd Product

echo **************
echo Install TXEI driver
set foldername=TXEI
set infname=TXEI.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install UART driver
set foldername=UART
set infname=iauarte.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install GPIO driver
set foldername=GPIO
set infname=iagpioe.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo ****************
echo Install IO driver
set foldername=I2C
set infname=iai2ce.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install SPI driver
set foldername=SPI
set infname=iaspie.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install MBI driver
set foldername=MBI
set infname=MBI.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install PMIC driver
set foldername=PMIC
set infname=pmic.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..


echo **************
echo Install DPTF driver
set foldername=DPTF
set infname=dptf_acpi.inf
cd %foldername% 
pnputil -i -a dptf_acpi.inf
pnputil -i -a esif_manager.inf
pnputil -i -a dptf_cpu.inf
pnputil -i -a dptf_pch.inf
cd ..

echo **************
echo Install graphic driver .... 
echo 
set foldername=Graphics
set infname=igdlh.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install Audio driver
set foldername=Audio
set infname=rtii2sac.inf
cd %foldername% 
pnputil -i -a isstrtc.inf
pnputil -i -a rtii2sac.inf
cd ..


echo **************
echo Install PSS driver
set foldername=PSS
set infname=MonzaX.inf
cd %foldername% 
pnputil -i -a MonzaX.inf
cd ..


echo **************
echo Install ISH driver
set foldername=ISH
set infname=ISH.inf
cd %foldername% 
pnputil -i -a ISH.inf
pnputil -i -a AdvSensorClassDriver.inf
pnputil -i -a AdvSensorHIDClassDriverV2.inf
pnputil -i -a HIDEventFilter.inf
pnputil -i -a ISH_BusDriver.inf
pnputil -i -a HID_PCI.inf
cd ..

echo **************
echo Install Camera driver
set foldername=camera
set infname=iacamera32.inf
cd %foldername% 
pnputil -i -a iacamera32.inf
pnputil -i -a iaisp32.inf
pnputil -i -a ov2680.inf
pnputil -i -a ov8858.inf
cd ..

echo **************
echo Install CWS driver
set foldername=cws
set infname=netrtwlans.inf
cd %foldername% 
pnputil -i -a netrtwlans.inf
pnputil -i -a rtkuart.inf
pnputil -i -a Intelnfc.inf
cd ..


echo All drivers for T08 are installed !

cd %currentpath%